1. Mailinglists
Backoffice API
  • AdOps
  • Assets
    • Upload Asset Image
      POST
    • Get Asset by id
      GET
  • Community
  • Core
  • Docs
  • Magazines
  • Messenger
    • SES
      • SES Webhook for mail events
    • Mailinglists
      • Paginated subscriptions by mailinglist id
  • Publisher
    • BlockConfigs
      • All Block Configurations
      • Create Block Configuration
      • Get Block Configuration by id
      • Update Block Configuration by id
    • Blocks
      • Create Media Block HTML
      • Media Block by id
      • Update Media Block HTML by id
    • Publications
      • Create Publication
      • Publication by id
      • Remove Publication by id
  • ReaderHub
    • Readers
      • Create Reader entitlement
    • SES
      • SES Webhook for mail events
    • Mailinglists
      • Paginated subscriptions by mailinglist id
        GET
      • Subscribe by mailinglist id
        POST
  • Webhooks
    • Events
      • Event Invitation Created
      • Participant Created
      • Participant Removed
  • Schemas
    • AdOps
      • Ad
      • Adversiter
      • Category
      • Creative
      • Adversiter (summary)
    • Community
      • Event
      • Event (summary)
      • Event Schedule
      • Organization
      • Organization (summary)
      • Person
      • Person (summary)
      • Project
      • Project (summary)
      • Profile
      • Profile (summary)
      • Profile Address
      • Profile Block
      • Profile Block (summary)
      • Profile BlockEntry
      • Profile BlockEntry (summary)
      • Profile Contact
      • Profile Description
      • Profile Metadata
    • Core
      • Visual
        • Image
        • Slideshow
        • Video
        • Visual Image
        • Visual Slideshow
        • Visual Video
        • Visual None
      • Asset
      • Category
      • Reference
      • Paging Metadata
      • Visual
    • Docs
      • Content
        • Content
        • Content (summary)
        • Content Metadata
        • Content Block
      • Blocks
        • Quote Block
        • Question Block
        • Data Block
        • HTML Block
        • Image Block
        • Related Content Block
        • Profiles Block
        • Richtext Block
        • Slideshow Block
        • Video Block
      • ContentType
        • ContentType
        • ContentTemplate (summary)
        • ContentTemplate
    • Magazines
      • Issue
      • Section
      • Section Block
      • Section Block (summary)
      • Block Slot
      • SectionContent
    • Publisher
      • Publication
      • Reader subscription (summary)
      • Media Block Configuration (summary)
      • Media Block Configuration
    • ReaderHub
      • Entitlement
  1. Mailinglists

Subscribe by mailinglist id

Developing
POST
/reader-hub/v2/mailinglists/{mailinglist_id}/subscriptions

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢201Success
application/json
Bodyapplication/json

🟠400Invalid UUID
🟠401Unauthorized API KEY
🟠403Unauthorized roles
🟠404Entity not found
🟠409Conflict
🟠422Unprocessable Entity
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://prod.your-api-server.com/reader-hub/v2/mailinglists/c0a550d2-1bc6-4011-8f5a-cc42212dd1da/subscriptions' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "subscribers": [
        {
            "email": "alice@example.com",
            "name": "Alice"
        }
    ]
}'
Response Response Example
201 - Success
{
    "data": {
      "id": "uuid (subscription_id)",
      "reader_id": "uuid"
    }
  }
Modified at 2026-05-22 08:02:01
Previous
Paginated subscriptions by mailinglist id
Next
Event Invitation Created
Built with